Bug 158142 - Multiple problems with Evolution v. OpenLDAP 2.2.13-2 (FC3)
Multiple problems with Evolution v. OpenLDAP 2.2.13-2 (FC3)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-18 22:12 EDT by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 03:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2005-05-18 22:12:41 EDT
Description of problem:

Problem 1: The dialog box for editing LDAP address books is only capable of
adding address books. Changes made to existing LDAP address books don't seem to
be taking effect (actually, when properties are pulled again, old values are
displayed). I'm guessing this is a GUI issue.

Problem 2: Evolution 2.2.2-5 seems incapable of talking SSL with FC3 shipped
OpenLDAP servers. Whenever I set an address book up with SSL settings of
"Always" or "Whenever possible", Evo displays an error message along the lines
of "can't talk to the LDAP server".

Version-Release number of selected component (if applicable):
2.2.2-5

How reproducible:
Always.

Steps to Reproduce:

Problem 1:
1. Set up an LDAP address book.
2. Right click it and go to properties.
3. Change values and see which ones stick. Many don't

Problem 2:
1. Add a new LDAP server with SSL connection.
2. Attempt to use it.
  
Actual results:
Problem 1: Values don't stick.

Problem 2: No connection can be made to OpenLDAP via SSL.

Expected results:
Should work, as it used to in Evo 2.0.

Additional info:
Let me know what kind of debugging info I can send in.
Comment 1 Bojan Smojver 2005-05-18 22:28:19 EDT
May be of interest... Thunderbird picks up the addressbook via SSL just fine. It
can't edit anything in it, but I think that's not a feature of Thunderbird anyway.

BTW, I also noticed that attempts to add contact entries into LDAP via
unecrypted connection through Evolution result in evolution-data-server
crashing. Something is really screwed with this version of Evo...
Comment 2 Bojan Smojver 2005-05-19 01:38:31 EDT
Looks like problem one is related to this:

http://bugzilla.gnome.org/show_bug.cgi?id=274393

But I'd say there is more to it. It seems impossible to change the port after
it's been initially set as well.
Comment 3 Bojan Smojver 2005-05-19 01:39:27 EDT
evolution-data-server crash here:

http://bugzilla.gnome.org/show_bug.cgi?id=303685
Comment 4 Bojan Smojver 2005-05-19 01:42:03 EDT
SSL problem may be related to this:

http://bugzilla.gnome.org/show_bug.cgi?id=268826
Comment 5 Bojan Smojver 2005-05-19 03:35:05 EDT
Will refile as a new bug, without the SSL bit, which seems to be more of an
integration issue than anything.

Note You need to log in before you can comment on or make changes to this bug.